Skip to content

Datacenter

All operations require authentication.

23 operationsv1/dedicatedCloud/{serviceName}
View as Markdown (opens in a new tab)
Agent setup

List datacentersProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter

Path parameters

serviceName
required
string

Domain of the service

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a datacenterProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}

Get a datacenter. Returns the datacenter: name, commercial range, version and whether it can be removed.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Datacentersuccessful operation
commercialName
read-only
CommercialNameEnum

The commercial name of this Datacenter

ValuesCDICDI-HDSCDI-HIPAACDI-NSXCDI-NSX-TCDI-NSX-VROPSCDI-PCIDSSCDI-UNKNOWNCDI-VROPSDCDC-ANCIENTDC-ANCIENT-HDSDC-ANCIENT-HIPAADC-ANCIENT-NSXDC-ANCIENT-NSX-TDC-ANCIENT-NSX-VROPSDC-ANCIENT-PCIDSSDC-ANCIENT-UNKNOWNDC-ANCIENT-VROPSDC-HDSDC-HIPAADC-LEGACYDC-LEGACY-HDSDC-LEGACY-HIPAADC-LEGACY-NSXDC-LEGACY-NSX-TDC-LEGACY-NSX-VROPSDC-LEGACY-PCIDSSDC-LEGACY-UNKNOWNDC-LEGACY-VROPSDC-NSXDC-NSX-TDC-NSX-VROPSDC-PCIDSSDC-UNKNOWNDC-VROPSESSENTIALSESSENTIALS-HDSESSENTIALS-HIPAAESSENTIALS-NSXESSENTIALS-NSX-TESSENTIALS-NSX-VROPSESSENTIALS-PCIDSSESSENTIALS-UNKNOWNESSENTIALS-VROPSNSX-TNSX-T-DEFAULTNSX-T-HDSNSX-T-NSXNSX-T-NSX-VROPSNSX-T-PCIDSSNSX-T-VROPSNSX-T-VROPS-WITHOUT-NSXNSX-T-WITHOUT-NSXPREMIERPREMIER-DEFAULTPREMIER-HDSPREMIER-HIPAAPREMIER-NSXPREMIER-NSX-TPREMIER-NSX-VROPSPREMIER-PCIDSSPREMIER-UNKNOWNPREMIER-VROPSSDDCSDDC-DEFAULTSDDC-HDSSDDC-HIPAASDDC-LEGACYSDDC-LEGACY-HDSSDDC-LEGACY-HIPAASDDC-LEGACY-PCIDSSSDDC-LEGACY-UNKNOWNSDDC-LEGACY-VROPSSDDC-LEGACY-VROPS-WITHOUT-NSXSDDC-LEGACY-WITHOUT-NSXSDDC-PCIDSSSDDC-UNKNOWNSDDC-VROPSSDDC-VROPS-WITHOUT-NSXSDDC-WITHOUT-NSXUNKNOWNUNKNOWN-HDSUNKNOWN-HIPAAUNKNOWN-NSXUNKNOWN-NSX-TUNKNOWN-NSX-VROPSUNKNOWN-PCIDSSUNKNOWN-UNKNOWNUNKNOWN-VROPSUNKNOWN-VSPHEREVSPHEREVSPHERE-DEFAULTVSPHERE-HDSVSPHERE-NSXVSPHERE-NSX-VROPSVSPHERE-PCIDSSVSPHERE-VROPSVSPHERE-VROPS-WITHOUT-NSXVSPHERE-WITHOUT-NSX
commercialRangeName
read-only
string

The commercial range associated to this Datacenter

datacenterId
read-only
integer

Id of the Datacenter

description
string
—
hasMixedHostProfiles
read-only
boolean

Check if this datacenter has different host profiles

hasMixedVsanHostProfiles
read-only
boolean

Check if this datacenter has different VSAN host profiles

horizonViewName
read-only
string

Name of the associated Horizon View service if the VDI option is enabled

isRemovable
read-only
boolean

Check if this datacenter is removable (Need to be Empty)

name
string
—
version
read-only
string

Os version installed on your VMware on OVHcloud

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "commercialName": "CDI", "commercialRangeName": "string", "datacenterId": 0, "description": "string", "hasMixedHostProfiles": true, "hasMixedVsanHostProfiles": true, "horizonViewName": "string", "isRemovable": true, "name": "string", "version": "string"}

List clustersProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/cluster

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200integer[]successful operation

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/cluster \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a clusterProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/cluster/{clusterId}

Get a cluster. Returns the cluster: name, VMware MoRef, DRS and HA status, EVC mode and autoscale settings.

Path parameters

clusterId
required
integer

Id of the cluster

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Clustersuccessful operation
autoscale
read-only
AutoScale

AutoScale associated to this cluster

clusterId
read-only
integer

Id of the cluster

drsMode
read-only
ClusterDrsModeEnum

Drs mode of the cluster

ValuesfullyAutomatedmanualpartiallyAutomated
drsStatus
read-only
ClusterConfigsStatusEnum

Drs status of the cluster

Valuesdisabledenabledunknown
evcMode
read-only
string

Evc mode of the cluster

haStatus
read-only
ClusterConfigsStatusEnum

High availability status of the cluster

Valuesdisabledenabledunknown
name
read-only
string

Name of the cluster

vmwareClusterId
read-only
string

The VMware MoRef of the cluster

Example uses clusterId = 0, datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/cluster/{clusterId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "autoscale": { "autoScaleInHost": "automatic", "autoScaleOutHost": "automatic", "autoScaleOutStorage": "automatic", "configId": 0, "id": 0, "inMaintenanceMode": true, "state": "disabled" }, "clusterId": 0, "drsMode": "fullyAutomated", "drsStatus": "disabled", "evcMode": "string", "haStatus": "disabled", "name": "string", "vmwareClusterId": "string"}

Get the private gatewayProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/privateGateway

Get the private gateway. Returns the private management gateway: IP address, netmask, portgroup and state.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200PrivateGatewaysuccessful operation
customerIp
read-only
ip

Ip set on your private gateway in your network

customerNetmask
read-only
ip

Your netmask set on the private gateway

customerPortGroup
read-only
string

Portgroup in your VMware on OVHcloud used to deploy the private gateway

state
read-only
StateEnum

State of the option

Valuesdisableddisablingenabledenablingerrormigratingunknown

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/privateGateway \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "customerIp": "192.0.2.0", "customerNetmask": "192.0.2.0", "customerPortGroup": "string", "state": "disabled"}

List IP blocksProduction

GET
/v1/dedicatedCloud/{serviceName}/ip

Path parameters

serviceName
required
string

Domain of the service

Response

200ipv4Block[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/ip \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0/24"]

Get an IP blockProduction

GET
/v1/dedicatedCloud/{serviceName}/ip/{network}

Path parameters

network
required
ipv4Block

IP ex: 213.186.33.34/24

serviceName
required
string

Domain of the service

Response

200Ipsuccessful operation
country
read-only
string
—
description
read-only
string
—
gateway
read-only
ip

Gateway value

netmask
read-only
ip

Netmask value

network
read-only
ipv4Block

IP ex: 213.186.33.34/24

networkName
read-only
string

Network name

register
read-only
BlockRegisterEnum

The Regional Internet Registry of this Ip Block

Valuesarinripe
vlanNumber
read-only
integer

Vlan where this network is routed

Example uses network = 192.0.2.0/24, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/ip/{network} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "country": "string", "description": "string", "gateway": "192.0.2.0", "netmask": "192.0.2.0", "network": "192.0.2.0/24", "networkName": "string", "register": "arin", "vlanNumber": 0}

List IP block addressesProduction

GET
/v1/dedicatedCloud/{serviceName}/ip/{network}/details

List IP block addresses. Returns each IP address of the block with its reverse record and its usage: virtual machine, NSX-T or reserved.

Path parameters

network
required
ipv4Block

IP ex: 213.186.33.34/24

serviceName
required
string

Domain of the service

Response

200IpDetails[]successful operation
ip
ip

IP address

reverse
string

IP address reverse record

usage
ipUsageEnum

IP address usage

Valuesnsxtreservedvm
usageDetails
string

IP address usage details

Example uses network = 192.0.2.0/24, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/ip/{network}/details \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "ip": "192.0.2.0", "reverse": "string", "usage": "nsxt", "usageDetails": "string" }]

List orderable IP block countriesProduction

GET
/v1/dedicatedCloud/{serviceName}/orderableIpCountries

List orderable IP block countries. Returns the countries in which an IP block can be ordered for the service.

Path parameters

serviceName
required
string

Domain of the service

Response

200IpCountriesEnum[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/orderableIpCountries \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "be"]

List VLANsProduction

GET
/v1/dedicatedCloud/{serviceName}/vlan

Path parameters

serviceName
required
string

Domain of the service

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/vlan \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a VLANProduction

GET
/v1/dedicatedCloud/{serviceName}/vlan/{vlanId}

Path parameters

serviceName
required
string

Domain of the service

vlanId
required
integer
—

Response

200Vlansuccessful operation
name
read-only
string
—
routingRateLimit
read-only
string

Speed in Mbps

state
read-only
StateEnum

All states a Dedicated Cloud Vlan can be in

Valuesavailabledelivereddisablederrorremovingreserved
type
read-only
TypeEnum

This Dedicated Cloud vlan type

Valuesadminfreepaid
vlanId
read-only
integer
—
vlanNumber
read-only
integer
—

Example uses serviceName = string, vlanId = 0

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/vlan/{vlanId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "name": "string", "routingRateLimit": "string", "state": "available", "type": "admin", "vlanId": 0, "vlanNumber": 0}

List vRacksProduction

GET
/v1/dedicatedCloud/{serviceName}/vrack

Path parameters

serviceName
required
string

Domain of the service

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/vrack \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an attached Managed VMware vSphere serviceProduction

GET
/v1/dedicatedCloud/{serviceName}/vrack/{vrack}

Path parameters

serviceName
required
string

Domain of the service

vrack
required
string

vrack name

Response

200dedicatedCloudsuccessful operation
dedicatedCloud
read-only
string

your dedicated cloud service

vlanId
read-only
integer

Dedicated cloud vlanId used

vrack
read-only
string

vrack name

Example uses serviceName = string, vrack = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/vrack/{vrack} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "dedicatedCloud": "string", "vlanId": 0, "vrack": "string"}

Create a datacenterProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter

Create a datacenter. Creates a datacenter in a commercial range, optionally linked to a vRack. Returns a task to track progress.

Path parameters

serviceName
required
string

Domain of the service

Request body (required)

commercialRangeName
required
string

The commercial range of this new datacenter. You can see what commercial ranges are orderable on this API section : /dedicatedCloud/commercialRange/

vrackName
string

Name of the Vrack link to the new datacenter.

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Configure NSX-T on a clusterProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/cluster/{clusterId}/nsxt

Path parameters

clusterId
required
integer

Id of the cluster

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses clusterId = 0, datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/cluster/{clusterId}/nsxt \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Remove the private gatewayProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/privateGateway/disable

Remove the private gateway. Removes the private management gateway. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/privateGateway/disable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Deploy the private gatewayProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/privateGateway/enable

Deploy the private gateway. Deploys the private management gateway on a portgroup of the service, with the given IP address and netmask. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Request body (required)

ip
required
ip

Ip to set on your private gateway in your network

netmask
required
ip

Your netmask to set on the private gateway

portgroup
required
string

Portgroup in your VMware on OVHcloud used to deploy the private gateway

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/privateGateway/enable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Reconfigure the private gatewayProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/privateGateway/reconfigure

Reconfigure the private gateway. Changes the IP address, netmask or portgroup of the private management gateway, or moves it to another datacenter. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Request body (required)

ip
ip

Ip to set on your private gateway in your network

netmask
ip

Your netmask to set on the private gateway

newDatacenterId
integer

Datacenter id where your private gateway will be moved

portgroup
string

Portgroup in your VMware on OVHcloud used to deploy the private gateway

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/privateGateway/reconfigure \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Delete a datacenterProduction

DELETE
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}

Delete a datacenter. Deletes the datacenter. The datacenter must be empty: check isRemovable first. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Delete the cluster NSX-T configurationProduction

DELETE
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/cluster/{clusterId}/nsxt

Delete the cluster NSX-T configuration. Removes the NSX-T configuration from the cluster. Returns a task to track progress.

Path parameters

clusterId
required
integer

Id of the cluster

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses clusterId = 0, datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/cluster/{clusterId}/nsxt \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Detach a Managed VMware vSphere serviceProduction

DELETE
/v1/dedicatedCloud/{serviceName}/vrack/{vrack}

Detach a Managed VMware vSphere service. Detaches the Hosted Private Cloud service from the vRack. Returns the task that performs it.

Path parameters

serviceName
required
string

Domain of the service

vrack
required
string

vrack name

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses serviceName = string, vrack = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/vrack/{vrack} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}

Update a datacenterProduction

PUT
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}

Update a datacenter. Updates the name and description of the datacenter. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Request body (required)

commercialName
read-only
CommercialNameEnum

The commercial name of this Datacenter

ValuesCDICDI-HDSCDI-HIPAACDI-NSXCDI-NSX-TCDI-NSX-VROPSCDI-PCIDSSCDI-UNKNOWNCDI-VROPSDCDC-ANCIENTDC-ANCIENT-HDSDC-ANCIENT-HIPAADC-ANCIENT-NSXDC-ANCIENT-NSX-TDC-ANCIENT-NSX-VROPSDC-ANCIENT-PCIDSSDC-ANCIENT-UNKNOWNDC-ANCIENT-VROPSDC-HDSDC-HIPAADC-LEGACYDC-LEGACY-HDSDC-LEGACY-HIPAADC-LEGACY-NSXDC-LEGACY-NSX-TDC-LEGACY-NSX-VROPSDC-LEGACY-PCIDSSDC-LEGACY-UNKNOWNDC-LEGACY-VROPSDC-NSXDC-NSX-TDC-NSX-VROPSDC-PCIDSSDC-UNKNOWNDC-VROPSESSENTIALSESSENTIALS-HDSESSENTIALS-HIPAAESSENTIALS-NSXESSENTIALS-NSX-TESSENTIALS-NSX-VROPSESSENTIALS-PCIDSSESSENTIALS-UNKNOWNESSENTIALS-VROPSNSX-TNSX-T-DEFAULTNSX-T-HDSNSX-T-NSXNSX-T-NSX-VROPSNSX-T-PCIDSSNSX-T-VROPSNSX-T-VROPS-WITHOUT-NSXNSX-T-WITHOUT-NSXPREMIERPREMIER-DEFAULTPREMIER-HDSPREMIER-HIPAAPREMIER-NSXPREMIER-NSX-TPREMIER-NSX-VROPSPREMIER-PCIDSSPREMIER-UNKNOWNPREMIER-VROPSSDDCSDDC-DEFAULTSDDC-HDSSDDC-HIPAASDDC-LEGACYSDDC-LEGACY-HDSSDDC-LEGACY-HIPAASDDC-LEGACY-PCIDSSSDDC-LEGACY-UNKNOWNSDDC-LEGACY-VROPSSDDC-LEGACY-VROPS-WITHOUT-NSXSDDC-LEGACY-WITHOUT-NSXSDDC-PCIDSSSDDC-UNKNOWNSDDC-VROPSSDDC-VROPS-WITHOUT-NSXSDDC-WITHOUT-NSXUNKNOWNUNKNOWN-HDSUNKNOWN-HIPAAUNKNOWN-NSXUNKNOWN-NSX-TUNKNOWN-NSX-VROPSUNKNOWN-PCIDSSUNKNOWN-UNKNOWNUNKNOWN-VROPSUNKNOWN-VSPHEREVSPHEREVSPHERE-DEFAULTVSPHERE-HDSVSPHERE-NSXVSPHERE-NSX-VROPSVSPHERE-PCIDSSVSPHERE-VROPSVSPHERE-VROPS-WITHOUT-NSXVSPHERE-WITHOUT-NSX
commercialRangeName
read-only
string

The commercial range associated to this Datacenter

datacenterId
read-only
integer

Id of the Datacenter

description
string
—
hasMixedHostProfiles
read-only
boolean

Check if this datacenter has different host profiles

hasMixedVsanHostProfiles
read-only
boolean

Check if this datacenter has different VSAN host profiles

horizonViewName
read-only
string

Name of the associated Horizon View service if the VDI option is enabled

isRemovable
read-only
boolean

Check if this datacenter is removable (Need to be Empty)

name
string
—
version
read-only
string

Os version installed on your VMware on OVHcloud

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Reapply NSX-T on a clusterProduction

PUT
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/cluster/{clusterId}/nsxt

Reapply NSX-T on a cluster. Reapplies the NSX-T configuration of the cluster. Returns a task to track progress.

Path parameters

clusterId
required
integer

Id of the cluster

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses clusterId = 0, datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/cluster/{clusterId}/nsxt \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}